Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# cellrenderer.hh File Reference

A GtkCellRenderer C++ wrapper interface. More...

`#include <xfc/gtk/object.hh>`
`#include <xfc/gtk/enums.hh>`
`#include <xfc/glib/property.hh>`
`#include <gtk/gtkcellrenderer.h>`
`#include <xfc/gtk/inline/cellrenderer.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gdk
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::CellRenderer
    A GtkCellRenderer C++ wrapper class. More...

## Typedefs

- typedef unsigned int CellRendererStateField
    CellRendererStateField holds one or more values from the Gtk::CellRendererState enum OR'd together.

## Enumerations

- enum CellRendererState {
  CELL_RENDERER_SELECTED = GTK_CELL_RENDERER_SELECTED,
  CELL_RENDERER_PRELIT = GTK_CELL_RENDERER_PRELIT,
  CELL_RENDERER_INSENSITIVE = GTK_CELL_RENDERER_INSENSITIVE,
  CELL_RENDERER_SORTED = GTK_CELL_RENDERER_SORTED,
  CELL_RENDERER_FOCUSED = GTK_CELL_RENDERER_FOCUSED
  }
    Specifies how the CellRenderer should render a cell. More...
- enum CellRendererMode {
  INERT = GTK_CELL_RENDERER_MODE_INERT,
  ACTIVATABLE = GTK_CELL_RENDERER_MODE_ACTIVATABLE,
  EDITABLE = GTK_CELL_RENDERER_MODE_EDITABLE
  }
    Specifies the editable mode of the CellRenderer. More...

## Detailed Description

A GtkCellRenderer C++ wrapper interface.

Provides CellRenderer, an object for rendering a single cell on a Gdk::Drawable.

## Enumeration Type Documentation

enum CellRendererMode

Specifies the editable mode of the CellRenderer.

Enumeration values:

  INERT | The cell is neither activatable nor editable.
  ACTIVATABLE | The cell can be activated.
  EDITABLE | The cell can be edited.

enum CellRendererState

Specifies how the CellRenderer should render a cell.

Enumeration values:

  CELL_RENDERER_SELECTED | The cell can be selected.
  CELL_RENDERER_PRELIT | The cell can be prelit.
  CELL_RENDERER_INSENSITIVE | The cell is insensitive.
  CELL_RENDERER_SORTED | The cell is in the sort column/row.
  CELL_RENDERER_FOCUSED | The cell can be focused.

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3